Bug 519464 - Failure to build with Heimdal kerberos implementation
Failure to build with Heimdal kerberos implementation
Status: CLOSED DEFERRED
Product: 389
Classification: Community
Component: Security - SASL (Show other bugs)
1.2.1
All All
low Severity medium
: ---
: ---
Assigned To: Rich Megginson
Ben Levenson
:
Depends On:
Blocks: 389_1.3.0
  Show dependency treegraph
 
Reported: 2009-08-26 13:53 EDT by Evaldo Gardenali
Modified: 2015-11-19 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 17:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Evaldo Gardenali 2009-08-26 13:53:21 EDT
Description of problem:
389 Directory Server does not build when --with-kerberos is specified and Heimdal is supplied as Kerberos library

Version-Release number of selected component (if applicable):
389-ds-base 1.2.2
Heimdal 1.1

How reproducible:


Steps to Reproduce:
1. Install Heimdal
2. Configure 389-ds-base to use Heimdal
3. 'make' (Build 389-ds-base)
  
Actual results:
gcc -DHAVE_CONFIG_H -I. -DBUILD_NUM=\"2009.238.1411\" "-DVENDOR=\"389 Project\"" -DBRAND=\"389\" -DCAPBRAND=\"389\" -I./ldap/include -I./ldap/servers/slapd -I./include -DLOCALSTATEDIR=\"/usr/pkg/var\" -DSYSCONFDIR=\"/usr/pkg/etc\" -DLIBDIR=\"/usr/pkg/lib\" -DBINDIR=\"/usr/pkg/bin\" -DDATADIR=\"/usr/pkg/share\" -DDOCDIR=\"/usr/pkg/share/doc/dirsrv\" -DSBINDIR=\"/usr/pkg/sbin\" -DPLUGINDIR=\"/usr/pkg/lib/dirsrv/plugins\" -DTEMPLATEDIR=\"/usr/pkg/share/dirsrv/data\" -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include/ldap -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include/nss -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include/nspr -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include/sasl -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include/db4 -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include/krb5 -I/usr/pkgsrc/wip/389-ds-base/work/.buildlink/include/nss/nss -DLDAP_DEPRECATED -Wno-error -Wno-format -fno-builtin -MT ldap/servers/slapd/libslapd_la-ldaputil.lo -MD -MP -MF ldap/servers/slapd/.deps/libslapd_la-ldaputil.Tpo -c ldap/servers/slapd/ldaputil.c  -fPIC -DPIC -o ldap/servers/slapd/.libs/libslapd_la-ldaputil.o
ldap/servers/slapd/ldaputil.c: In function 'show_one_credential':
ldap/servers/slapd/ldaputil.c:1053: error: 'krb5_creds' has no member named 'ticket_flags'
ldap/servers/slapd/ldaputil.c: In function 'credentials_are_valid':
ldap/servers/slapd/ldaputil.c:1153: error: request for member 'length' in something not a structure or union
ldap/servers/slapd/ldaputil.c:1154: error: request for member 'data' in something not a structure or union
ldap/servers/slapd/ldaputil.c: In function 'set_krb5_creds':
ldap/servers/slapd/ldaputil.c:1231: error: 'MAX_KEYTAB_NAME_LEN' undeclared (first use in this function)
ldap/servers/slapd/ldaputil.c:1231: error: (Each undeclared identifier is reported only once
ldap/servers/slapd/ldaputil.c:1231: error: for each function it appears in.)
make[1]: *** [ldap/servers/slapd/libslapd_la-ldaputil.lo] Error 1
make[1]: Leaving directory `/usr/pkgsrc/wip/389-ds-base/work/389-ds-base-1.2.2'
make: *** [all] Error 2
*** Error code 2
 
Stop.
bmake: stopped in /usr/pkgsrc/wip/389-ds-base
*** Error code 1
 
Stop.
bmake: stopped in /usr/pkgsrc/wip/389-ds-base

Expected results:
389-ds-base built successfully

Additional info:
Heimdal provides a similar API to MIT Kerberos, but not 100% compatible. Configure scripts should check differences and ifdefs should be used where applicable.
Comment 1 Martin Kosek 2012-01-04 08:41:57 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/101
Comment 3 Noriko Hosoi 2015-11-19 17:12:49 EST
Closing this bug since we moved to the ticket system:
https://fedorahosted.org/389/ticket/101

Note You need to log in before you can comment on or make changes to this bug.